Bug 176535 - math/plplot: Fix pkg-plist
Summary: math/plplot: Fix pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-14 05:40 UTC (History)
0 users

See Also:


Attachments
file.diff (892 bytes, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff
math_plplot.diff (1.75 KB, patch)
2013-03-06 17:45 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:03 UTC
- Fix pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:10:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:00:49 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 14:29:33 UTC
State Changed
From-To: open->feedback

build fails with clang: 
http://miwibox.org/tb/index.php?action=describe_port&id=1984
Comment 4 tkato432 2013-03-06 17:45:00 UTC
Here is the corrected patch.
Comment 5 Martin Wilke freebsd_committer 2013-03-14 05:30:32 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 6 dfilter service freebsd_committer 2013-03-14 05:30:41 UTC
Author: miwi
Date: Thu Mar 14 05:30:28 2013
New Revision: 314130
URL: http://svnweb.freebsd.org/changeset/ports/314130

Log:
  - Fix build with FORTRAN on
  
  PR:		176535
  Submitted by:	Ports Fury

Added:
  head/math/plplot/files/patch-util__plrender.c   (contents, props changed)
Modified:
  head/math/plplot/pkg-plist

Added: head/math/plplot/files/patch-util__plrender.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/math/plplot/files/patch-util__plrender.c	Thu Mar 14 05:30:28 2013	(r314130)
@@ -0,0 +1,20 @@
+--- utils/plrender.c.orig
++++ utils/plrender.c
+@@ -834,7 +834,7 @@
+     if ( code ) { fprintf( stderr,          \
+                       "Unable to read in %s at line %d, bytecount %d\n\
+ Bytes requested: %d\n", __FILE__, __LINE__, \
+-                      (int) pdfs->bp, (int) 2 * n ); return -1; }
++                      (int) pdfs->bp, (int) 2 * n ); return; }
+ 
+ static void
+ get_ncoords( PLFLT *x, PLFLT *y, PLINT n )
+@@ -869,7 +869,7 @@
+         free( ys );
+     }
+ 
+-    return 0;
++    return;
+ }
+ 
+ //--------------------------------------------------------------------------

Modified: head/math/plplot/pkg-plist
==============================================================================
--- head/math/plplot/pkg-plist	Thu Mar 14 05:27:58 2013	(r314129)
+++ head/math/plplot/pkg-plist	Thu Mar 14 05:30:28 2013	(r314130)
@@ -27,6 +27,7 @@ include/plplot/qsastimedll.h
 %%WXGTK%%include/plplot/wxPLplotstream.h
 %%WXGTK%%include/plplot/wxPLplotwindow.h
 %%TCLTK%%include/plplot/tclMatrix.h
+%%FORTRAN%%lib/fortran/include/plplot/plplot_parameters.h
 %%FORTRAN%%lib/fortran/modules/plplot/plplot.mod
 %%FORTRAN%%lib/fortran/modules/plplot/plplot_flt.mod
 %%FORTRAN%%lib/fortran/modules/plplot/plplotp.mod
@@ -628,4 +629,9 @@ libdata/pkgconfig/plplotd.pc
 @dirrm lib/plplot/driversd
 @dirrm lib/plplot
 %%LUA%%@dirrm %%LUA_MODLIBDIR%%/plplot
+%%FORTRAN%%@dirrm lib/fortran/modules/plplot
+%%FORTRAN%%@dirrmtry lib/fortran/modules
+%%FORTRAN%%@dirrm lib/fortran/include/plplot
+%%FORTRAN%%@dirrmtry lib/fortran/include
+%%FORTRAN%%@dirrmtry lib/fortran
 @dirrm include/plplot
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"